API

Generate device pairing code

Replaces any pending pairing code and returns a new short-lived secret exactly once.

POST/v1/hq/devices/{device_id}/pairing_codes

Authorization

BearerTokenAuth

AuthorizationBearer <token>

The Noona HQ API uses Bearer token for authentication.

Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.

Authorization: Bearer your-token

In: header

Path Parameters

device_id*string

Response Body

application/json

curl -X POST "https://api.noona.is/v1/hq/devices/string/pairing_codes"
{
  "code": "string",
  "expires_at": "2019-08-24T14:15:22Z",
  "expires_in": 1,
  "qr": {
    "device_id": "string",
    "code": "string"
  }
}
Empty
Empty
Empty
Empty